Subject: RE: [SWIPL] XPCE

From: Jan Wielemaker <[email-masked]>
Date: Thu, 15 Feb 2001 10:19:47 +0100

> > [P.s. your Reply-to: field is invalid]
> > 
> > On Sun, 11 Feb 2001, Javier García Bonifaz wrote:
> > >Hi
> > >
> > >Please, help!!
> > >
> > >I've trying to start XPCE but I keep getting a long buzz a the following
> > >repeated message.
> > >
> > >PCE fatal: \pce/pce Signal trapped: Segmentation violation
> > >in: <No exception goal>
> > >
> > >Could it have something to do with the readline library. I'm also having
> > >problems when starting swi-prolog. Please, do not write any too
> complicated
> > >material; I'm interested in linguistics ant not an expert in computers
> at
> > >all.
> > 
> > 
> > But before we can do anything for you we first must know what you did
> > on what machine and what exactly are especially the first messages (i.e.
> > how far does it get and what is the first thing going wrong).
> > 
> > Refering to readline, maybe you played around with dependencies?
> > 
> >  --- Jan
> 
> I've tried to install it on a Linux system running under a PC. First told
> me that I needed newer versions of the ncurses and libreadline libraries. I
> got them and then installed swi-prolog and XPCE and the system did not tell
> me there was any problem with the dependencies. But when I start swi-prolog
> I get the following message:
> 
> /~raw_read'/2: caught signal 11 (segv)
> [readline disabled]
> 
> swi-prolog "seems" to work properly after that, but when I start XPCE (not
> from swi-prolog) I get the buzz and the message I told you about. I guess
> it all has to do with the dependencies. Could you please tell me what the
> dependencies really are for the current version of swi-prolog and XPCE? I
> guess it must be something like ncurses 5.1 and libreadline 4.0.

The system it was compiled on runs SunSE linux 6.4.  The dedencies
reported are:

ldd bin/i686-linux/pl
	libdl.so.2 => /lib/libdl.so.2 (0x40023000)
	libreadline.so.4.0 => /lib/libreadline.so.4.0 (0x40027000)
	libncurses.so.5 => /lib/libncurses.so.5 (0x4004d000)
	libm.so.6 => /lib/libm.so.6 (0x40096000)
	libc.so.6 => /lib/libc.so.6 (0x400b3000)
	/lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)
ldd xpce/lib/i686-linux/pl2xpce.so 
	libXt.so.6 => /usr/X11R6/lib/libXt.so.6 (0x401d9000)
	libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x40225000)
	libSM.so.6 => /usr/X11R6/lib/libSM.so.6 (0x402cf000)
	libICE.so.6 => /usr/X11R6/lib/libICE.so.6 (0x402d9000)
	libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0x402f1000)
	libXpm.so.4 => /usr/X11R6/lib/libXpm.so.4 (0x40311000)
	libc.so.6 => /lib/libc.so.6 (0x4031f000)
	/lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x80000000)

ls -l  /lib/libreadline.so.4.0
	/lib/libreadline.so.4.0*
ls -l /lib/libncurses.so.5
	/lib/libncurses.so.5 -> libncurses.so.5.0*

You can run under GDB and see whether the crash looks related to
readline/ncurses.  To get things running for sure, just get the
source.

	--- Jan